# Interface JmolJDXMOLReader

All Known Implementing Classes:
  `JcampdxReader, JDXReader`

public interface JmolJDXMOLReader

## Method Summary

Modifier and Type
Method
Description
`void`
`addPeakData(String info)`
`String`
`discardLinesUntilContains(String string)`
`String`
`discardLinesUntilContains2(String tag1, String tag2)`
`String`
`discardLinesUntilNonBlank()`
`void`
`processModelData(String data, String id, String type, String base, String last, float modelScale, float vibScale, boolean isFirst)`
`String`
`rd()`
`void`
`setSpectrumPeaks(int nH, String piUnitsX, String piUnitsY)`

## Method Details

### addPeakData

void addPeakData(String info)

### discardLinesUntilContains2

String discardLinesUntilContains2(String tag1, String tag2) throws Exception

Throws:
  `Exception`

### discardLinesUntilContains

String discardLinesUntilContains(String string) throws Exception

Throws:
  `Exception`

### discardLinesUntilNonBlank

String discardLinesUntilNonBlank() throws Exception

Throws:
  `Exception`

### processModelData

void processModelData(String data, String id, String type, String base, String last, float modelScale, float vibScale, boolean isFirst) throws Exception

Throws:
  `Exception`

### rd

String rd() throws Exception

Throws:
  `Exception`

### setSpectrumPeaks

void setSpectrumPeaks(int nH, String piUnitsX, String piUnitsY)